Bug Hunting Session
Bug 92392 - EDITING + UI: Calc crash when hitting Enter key
Summary: EDITING + UI: Calc crash when hitting Enter key
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.0.0.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.3
Keywords: bibisectRequest, needUITest, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-06-28 01:36 UTC by Martin Hunek
Modified: 2018-02-01 17:51 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test file. (13.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-07-03 15:00 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Hunek 2015-06-28 01:36:07 UTC
Calc crashes every time after editing plot/graph, when enter key is pressed. It doesn't matter if it is in cell or in any of dialogs (tested on editing axis range of graph).

Crash closes every opened window and leads into unsaved data lose making Calc hardly usable.

It doesn't occur when I finish editing of the field/cell by arrow keys or mouse. Also doesn't happen until you start editing data area/lines of plot.

Way to reproduce:
1) Open document (tested on *.ods, executed by file manager).
2) Add data line in to the plot by selecting area of X and Y with mouse. (this starts the bug)
3) Click outside of plot to stop editing it.
4) Write something and hit Enter key

LO: 5.0.0.1 (build 1, ID 00m0, distributed by SUSE from openSUSE LibreOffice Factory community repo http://download.opensuse.org/repositories/LibreOffice:/Factory/openSUSE_13.2/)
OS: openSUSE 13.2 (x86_64) k:3.16.7-21-desktop
Comment 1 raal 2015-06-28 12:28:55 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 7790b6a4544cf2d5ba0bcdfae31346cf2f9a0041
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-26_23:51:00

No crash in LO 4.4.2, regression
Comment 2 Buovjaga 2015-06-29 16:52:32 UTC
Can you elaborate on "2) Add data line in to the plot by selecting area of X and Y with mouse."?
Comment 3 Martin Hunek 2015-06-29 20:01:13 UTC
@Beluga:
I'm sorry for inaccurate description, I'm using Czech translation.

Anyway, I meant in step 3 on in graph creation process you have two ways how to add data. You can either type position of X and Y values by yourself. Or you can hit button on the right hand side (with an arrow) to minimize dialog and than by pressing and holding left mouse button while moving, choose data from a sheet.

When I submitted this bug, I didn't test the first possibility, I've tested that now and it doesn't happen. So it seems to be triggered by that mouse action.
Comment 4 Michael Meeks 2015-07-03 14:38:10 UTC
After a bit I managed to reproduce it vs. master - you need to use the range selection widget as described. I'm using a build based on ff4b8d39e649ed56770b28550158b5148432ee48
Comment 5 Michael Meeks 2015-07-03 15:00:10 UTC
Created attachment 117026 [details]
test file.

Steps: 1) load file, 2) double click chart, 3) edit range 4), click 'in-sheet-selection-widget' 5) click, 6) repeat 4, 7) select A1:B4, 8) click outside chart, 9) hit enter.

Looks like we trigger the still registered accelerator in the ScFormulaReferenceHelper.
Comment 6 Caolán McNamara 2015-07-03 15:12:51 UTC
ScSimpleRefDlg dtor never called
Comment 7 Michael Meeks 2015-07-03 15:33:26 UTC
Fixes here:
https://gerrit.libreoffice.org/16739 tdf#92392 - tolerate Window::SetText post dispose.
https://gerrit.libreoffice.org/16740 tdf#92392 - Dispose ScFormulaReferenceHelper properly.
Comment 8 Commit Notification 2015-07-03 20:34:49 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8a9b4f8381c3935bab96a713c8237381ffc5c93

tdf#92392 - Dispose ScFormulaReferenceHelper properly.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-07-03 20:41:54 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c59726e696b7a507f0b5e752a52e3ea7773c230f

tdf#92392 - tolerate Window::SetText post dispose.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-07-06 08:44:49 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ffc7299718376fa684decb0af20e24758fd734d&h=libreoffice-5-0

tdf#92392 - tolerate Window::SetText post dispose.

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-07-06 11:06:33 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7367996e8ba6474bad7be2238cc7ab79178f264&h=libreoffice-5-0

tdf#92392 - Dispose ScFormulaReferenceHelper properly.

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-07-07 18:49:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f216c82ab5fbab44ab55a5127d0be7d4a2da8e3

Related: tdf#92392 protect against double dispose from dtor with disposeOnce

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-07-07 18:49:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e20a25319e16d2f74e18696480556bc841a1679

Related: tdf#92392 clear some more vclptrs on dispose

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-07-07 18:49:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c6eec0d99a2bb84bd6719ad498d5de54dc959fe

Related: tdf#92392 clear workwins that point to pWindow

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2015-07-07 20:35:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3fc53c64086298e1969064a1205ad9b7c660fc4c&h=libreoffice-5-0

Related: tdf#92392 protect against double dispose from dtor with disposeOnce

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2015-07-08 08:36:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f932f1197e1cabd901231223dc9c7ce9c171120e&h=libreoffice-5-0

Related: tdf#92392 clear some more vclptrs on dispose

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2015-07-08 08:37:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a26723f028a9795104e12b5f98cddb53471b44d2&h=libreoffice-5-0

Related: tdf#92392 clear workwins that point to pWindow

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Robinson Tryon (qubit) 2015-12-17 09:15:09 UTC Comment hidden (obsolete)